## gate
Class Main

    java.lang.Object
      |
      +--gate.Main

public class Main
extends Object

Top-level entry point for the GATE command-line and GUI interfaces.

Field Summary
`static boolean` `batchMode` Are we in batch mode?
`static String` `build`
`static String` `name`
`static String` `version`

Constructor Summary
`Main()`

Method Summary
`static MainFrame` `getMainFrame()` Get the main frame of the GUI.
`static void` `help()` Display a help message
`static void` `main(String[] args)` Main routine for GATE.
`static void` `processArgs(String[] args)` Process arguments and set up member fields appropriately.
`static void` `usage()` Display a usage message

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### batchMode

    public static boolean batchMode

  Are we in batch mode?

### name

    public static String name

### version

    public static String version

### build

    public static String build

Constructor Detail

### Main

    public Main()

Method Detail

### main

    public static void main(String[] args)
                     throws GateException

  Main routine for GATE. Command-line arguments:
  - -h display a short help message
  - -d URL define URL to be a location for CREOLE resoures
  - -i file additional initialisation file (probably called `gate.xml`). Used for site-wide initialisation by the start-up scripts.

### getMainFrame

    public static MainFrame getMainFrame()
                                  throws GateException

  Get the main frame of the GUI. If the GUI isn't running, it is started.

### processArgs

    public static void processArgs(String[] args)

  Process arguments and set up member fields appropriately. Will shut down the process (via System.exit) if there are incorrect arguments, or if the arguments ask for something simple like printing the help message.

### usage

    public static void usage()

  Display a usage message

### help

    public static void help()

  Display a help message